---
layout: wiki
wiki: laravel #项目名
date: 2023-12-21 16:56
categories: [Laravel]
title: 进度
---

{% okr 目标 %}

完成 {%hashtag color:red Laravel%} 请求流程的源码分析，理解各组件的实现原理

<!-- okr kr1 percent:0.58 -->
请求流程分析
- {% checkbox checked:true 配置环境 %}
- {% checkbox checked:true 入口文件 %}
- {% checkbox checked:false 实现自动加载 %}
- {% checkbox checked:true 实例化容器 %}
- {% checkbox checked:true 设置基础目录 %}
- {% checkbox checked:true 注册基础绑定 %}
- {% checkbox checked:true 注册基础服务提供者 %}
- {% checkbox checked:true 注册核心别名类 %}
- {% checkbox checked:false 解析HTTP内核 %}
- {% checkbox checked:false 处理请求 %}
- {% checkbox checked:true symbol:plus color:green 解析路由%}
- {% checkbox checked:false 渲染页面 %}
- {% checkbox checked:false 终止 %}
<!-- okr kr2 percent:0.5 -->
核心服务组件原理分析
- {%checkbox checked:false 服务容器%}
- {%checkbox checked:true 服务提供者%}
- {%checkbox checked:true Facade门面模式%}
- {%checkbox checked:true symbol:plus color:green Eloquent查询构造器_1%}
- {%checkbox checked:true symbol:plus color:green Eloquent查询构造器_2%}
{% endokr %}
